Bug 481350 - Tidy erroniously removes whitespace, causing mangled text
Tidy erroniously removes whitespace, causing mangled text
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: tidy (Show other bugs)
12
All Linux
low Severity medium
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-23 12:03 EST by Joe Bayes
Modified: 2010-01-22 17:31 EST (History)
3 users (show)

See Also:
Fixed In Version: 0.99.0-20.20091203.fc12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-01-22 17:31:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joe Bayes 2009-01-23 12:03:31 EST
Description of problem:
In certain instances, Tidy mangles text by removing whitespace between words.

Version-Release number of selected component (if applicable):
tidy-0.99.0-17.20070615.fc9.x86_64

How reproducible:
always

Steps to Reproduce:
1.echo "foo<span>
bar</span>" |tidy
  
Actual results:
foo<span>bar</span>

Expected results:
foo<span> bar</span>

Additional info:
This bug is especially problematic because it stealthily mangles only certain areas of the text, so the user may not be aware that their text has been mangled before they discard the un-tidied source. (Not that I have personal experience with this or anything.)

This bug is present in current CVS at sourceforge. It has been reported upstream, and seems to have been present since around 2003. 

Tidy is now useless to anyone who doesn't want the wordsintheirsentencesruntogether. It seems there should at least be some acknowledgement of this dangerous behavior, perhaps printed as a warning when the program is run?
Comment 1 Bug Zapper 2009-11-18 05:50:43 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Joe Bayes 2009-12-03 19:36:05 EST
This bug has been fixed in the cvs, version 25 March 2009, retrieved 3 December 2009. Please consider upgrading.
Comment 3 Rex Dieter 2009-12-03 20:50:10 EST
Thanks for the legwork, and confirmation of fix.  I'll work on it soonish.
Comment 4 Rex Dieter 2010-01-06 08:26:07 EST
* Thu Dec 03 2009 Rex Dieter <rdieter@fedoraproject.org> - 0.99.0-20.20091203
- 20091203 snapshot
- spec housecleaning
- Tidy erroniously removes whitespace, causing mangled text (#481350)

in rawhide, I'll do some more builds for testing purposes.
Comment 5 Fedora Update System 2010-01-06 08:36:43 EST
tidy-0.99.0-20.20091203.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/tidy-0.99.0-20.20091203.fc12
Comment 6 Joe Bayes 2010-01-06 11:59:54 EST
I don't remember what I did that made me think that this was fixed. But it looks like it's still broken. Sorry.
Comment 7 Fedora Update System 2010-01-06 19:57:16 EST
tidy-0.99.0-20.20091203.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update tidy'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2010-0233
Comment 8 Fedora Update System 2010-01-22 17:31:11 EST
tidy-0.99.0-20.20091203.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.